{{define "tradingstoriesmanuell"}}

{{template "layout-top" .}}

<section class="feeds no-padding-top">
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-12">
          <div class="articles card">
            <div class="card-header d-flex align-items-center">
              <h2 class="h3">TradingStory "{{.Name}}" manuell traden</h2>                        
            </div>
            {{if .FormManuellMessage}}
            <div class="card-header d-flex align-items-center">
              <span style="color:#54e69d;"><small>{{.FormManuellMessage}}</small></span>
            </div>
            {{end}}
            {{if .FormManuellMessageError}}
            <div class="card-header d-flex align-items-center">
              <span style="color:red;"><small>{{.FormManuellMessageError}}</small></span>
            </div>
            {{end}}
            <div class="card-body no-padding">
              <div class="item d-flex align-items-center">
                {{if (eq .TradingstoryIsInvested.Value 1)}}
                <div class="container-fluid">
                  <div class="row">
                    <div>
                      <p><span style="color: #796AEE;">Die TradingStory ist derzeit investiert.</span></p>
                    </div>
                  </div>
                  <div class="row">
                    <div>
                      <a href="/trades?ts={{.ID}}" target="_self" class="btn btn-xs btn-secondary color-white"><i class="fa fa-close" style="margin-right: 8px;"></i>Zurück zu den Trades</a>
                    </div>
                  </div>
                </div>
                {{else}}
                <div>
                  <div>
                    <p><span style="color: #796AEE;">Diese TradingStory darf folgende Assets traden:</span></p>
                  </div>
                  <div>
                    <form action="/tradingstoriesmanuell" method="POST" class="container-fluid">
                      <div class="form-group row">
                          <label for="asset" class="col-sm-4">Asset auswählen</label>
                          <div class="col-sm-8">
                            <select name="asset" id="asset" class="form-control mb-3">
                              {{range .Assets}}
                              <option value="{{.ID}}">{{.Name}}</option>
                              {{end}}
                            </select>
                            <small class="form-text">Welches Asset soll die TradingStory jetzt direkt traden?</small>
                          </div>
                      </div>
                      <div class="form-group row">
                          <label for="asset" class="col-sm-4">Aktuelles Trading Volume</label>
                          <div class="col-sm-8">
                              {{.TradingVolume}} €
                          </div>
                      </div>
                      <div class="form-group row">
                          <label for="asset" class="col-sm-4">Typ</label>
                          <div class="col-sm-8">
                            {{if (eq .Type "0")}}
                              Manuell
                            {{else}}
                              Automatisiert
                            {{end}}
                          </div>
                      </div>
                      <div class="form-group row">
                        <label for="asset" class="col-sm-4">Tradinggrund</label>
                        <div class="col-sm-8">
                          <input type="text" id="trading_reason" name="trading_reason" placeholder="Tradinggrund" class="form-control form-control-success" autocomplete="off" />
                        </div>
                      </div>
                      <div class="form-group row">       
                        <div class="col-sm-8 offset-sm-4">
                          <input type="hidden" name="tradingstoryid" id="tradingstoryid" value="{{.ID}}" />
                          <input type="hidden" name="trailing_distance" id="trailing_distance" value="{{.TrailingDistance}}" />
                          <input type="hidden" name="trading_volume" id="trading_volume" value="{{.TradingVolume}}" />
                          <input type="submit" id="submitManuellTradingstorie" name="submitManuellTradingstorie" value="Jetzt traden" class="btn btn-primary" />
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
                {{end}}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
  
  {{ template "layout-bottom" .}}

{{end}}